import 'package:mohem_flutter_app/theme/colors.dart';
import 'package:mohem_flutter_app/widgets/txt.dart';
import 'package:flutter/material.dart';
import 'package:sizer/sizer.dart';

AppBar appBar({
  Color? backgroundColor,
  double? elevation,
  String? title,
  Color? titleColor,
  bool? isTitleCenter,
  Color? backIconColor,
  List<Widget>? actions,
}) {
  return AppBar(
    backgroundColor: backgroundColor ?? appBackgroundColor,
    elevation: elevation ?? 0,
    centerTitle: isTitleCenter ?? true,
    iconTheme: IconThemeData(
      color: backIconColor ?? Colors.black, //change your color here
    ),
    actions: actions,
    title: Txt(
      title ?? "",
      txtType: TxtType.appBar,
    ),
  );
}
